diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/int64x64-test-suite.cc ns-3.31/src/core/test/int64x64-test-suite.cc
--- ns-3.30.1/src/core/test/int64x64-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/int64x64-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -29,10 +29,10 @@
 
 namespace ns3 {
 
-  namespace int64x64 {
+namespace int64x64 {
+
+namespace test {
 
-    namespace test {
-  
 /**
  * \class ns3::int64x64::Int64x64TestSuite
  * \internal
@@ -40,7 +40,7 @@
  * Some of these tests are a little unusual for ns-3 in that they
  * are sensitive to implementation, specifically the resolution
  * of the double and long double implementations.
- * 
+ *
  * To handle this, where needed we define a tolerance to use in the
  * test comparisons.  If you need to increase the tolerance,
  * please append the system and compiler version.  For example:
@@ -106,10 +106,10 @@
   if (p.m_haveInt)
     {
       os << std::fixed << std::setprecision (22)
-	 << p.m_value;
+         << p.m_value;
 
     }
-  
+
   os << std::hex  << std::setfill ('0')
      << " (0x" << std::setw (16) << p.m_high
      << " 0x"  << std::setw (16) << p.m_low  << ")"
@@ -128,10 +128,9 @@
 
 Int64x64HiLoTestCase::Int64x64HiLoTestCase ()
   : TestCase ("Manipulate the high and low part of every number")
-{
-}
+{}
 
-void 
+void
 Int64x64HiLoTestCase::Check (const int64_t hi, const uint64_t lo)
 {
   uint64_t tolerance = 0;
@@ -144,20 +143,20 @@
   int64x64_t value = int64x64_t (hi,lo);
   uint64_t vLow = value.GetLow ();
   bool pass = ( (value.GetHigh () == hi)
-		&& ( (Max (vLow, lo) - Min (vLow, lo)) <= tolerance)
-		);
+                && ( (Max (vLow, lo) - Min (vLow, lo)) <= tolerance)
+                );
 
   std::cout << GetParent ()->GetName () << " Check: "
-	    << (pass ? "pass " : "FAIL ")
-	    << Printer (value) << " from" << Printer (hi, lo)
-	    << std::endl;
+            << (pass ? "pass " : "FAIL ")
+            << Printer (value) << " from" << Printer (hi, lo)
+            << std::endl;
 
   NS_TEST_EXPECT_MSG_EQ (value.GetHigh (), hi,
-			 "High part does not match for hi:" << hi
-			 << " lo: " << lo);
+                         "High part does not match for hi:" << hi
+                                                            << " lo: " << lo);
   NS_TEST_EXPECT_MSG_EQ_TOL ((int64_t)vLow, (int64_t)lo, (int64_t)tolerance,
-			     "Low part does not match for hi: " << hi
-			     << " lo: " << lo);
+                             "Low part does not match for hi: " << hi
+                                                                << " lo: " << lo);
 }
 
 void
@@ -165,7 +164,7 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Check: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   uint64_t low = 1;
   if (int64x64_t::implementation == int64x64_t::ld_impl)
@@ -177,11 +176,11 @@
   Check ( 0, 0);
   Check ( 0, low);
   Check ( 0, 0xffffffffffffffffULL - low);
-  
+
   Check ( 1, 0);
   Check ( 1, low);
   Check ( 1, 0xffffffffffffffffULL - low);
-  
+
   Check (-1, 0);
   Check (-1, low);
   Check (-1, 0xffffffffffffffffULL - low);
@@ -194,18 +193,17 @@
   Int64x64InputTestCase ();
   virtual void DoRun (void);
   void Check (const std::string & str,
-	      const int64_t hi, const uint64_t lo,
-	      const int64_t tolerance = 0);
+              const int64_t hi, const uint64_t lo,
+              const int64_t tolerance = 0);
 };
 Int64x64InputTestCase::Int64x64InputTestCase ()
   : TestCase ("Parse int64x64_t numbers as strings")
-{
-}
-void 
+{}
+void
 Int64x64InputTestCase::Check (const std::string & str,
-			      const int64_t hi, const uint64_t lo,
-			      const int64_t tolerance /* = 0 */)
-			      
+                              const int64_t hi, const uint64_t lo,
+                              const int64_t tolerance /* = 0 */)
+
 {
   std::istringstream iss;
   iss.str (str);
@@ -214,30 +212,30 @@
 
   std::string input = "\"" + str + "\"";
   uint64_t vLow = value.GetLow ();
-  bool pass = ( (value.GetHigh () == hi) &&
-		( Max (vLow, lo) - Min (vLow, lo) <= tolerance)
-		);
+  bool pass = ( (value.GetHigh () == hi)
+                && ( Max (vLow, lo) - Min (vLow, lo) <= tolerance)
+                );
 
   std::cout << GetParent ()->GetName () << " Input: "
-	    << (pass ? "pass " : "FAIL ")
-	    << std::left << std::setw (28) << input << std::right
-	    << Printer (value) 
-	    << " expected: " << Printer (hi, lo) << " +/- " << tolerance
-	    << std::endl;
+            << (pass ? "pass " : "FAIL ")
+            << std::left << std::setw (28) << input << std::right
+            << Printer (value)
+            << " expected: " << Printer (hi, lo) << " +/- " << tolerance
+            << std::endl;
 
   NS_TEST_EXPECT_MSG_EQ (value.GetHigh (), hi,
-			 "High parts do not match for input string \""
-			 << str << "\"");
+                         "High parts do not match for input string \""
+                         << str << "\"");
   NS_TEST_EXPECT_MSG_EQ_TOL ((int64_t)value.GetLow (), (int64_t)lo, tolerance,
-			     "Low parts do not match for input string \""
-			     << str << "\"");
+                             "Low parts do not match for input string \""
+                             << str << "\"");
 }
 void
 Int64x64InputTestCase::DoRun (void)
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Input: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   int64_t tolerance = 0;
   if (int64x64_t::implementation == int64x64_t::ld_impl)
@@ -245,7 +243,7 @@
       // Darwin 12.5.0 (Mac 10.8.5) g++ 4.2.1
       tolerance = 2;
     }
-  
+
   Check ("1", 1, 0);
   Check ("+1", 1, 0);
   Check ("-1", -1, 0);
@@ -269,15 +267,14 @@
   Int64x64InputOutputTestCase ();
   virtual void DoRun (void);
   void Check (const std::string & str,
-	      const int64_t tolerance = 0);
+              const int64_t tolerance = 0);
 };
 Int64x64InputOutputTestCase::Int64x64InputOutputTestCase ()
   : TestCase ("Roundtrip int64x64_t numbers as strings")
-{
-}
-void 
+{}
+void
 Int64x64InputOutputTestCase::Check (const std::string & str,
-				    const int64_t tolerance /* = 0 */)
+                                    const int64_t tolerance /* = 0 */)
 {
   std::stringstream iss (str);
   int64x64_t expect;
@@ -296,28 +293,28 @@
   if (pass)
     {
       std::cout << GetParent ()->GetName () << " InputOutput: "
-		<< (pass ? "pass " : "FAIL ")
-		<< " in:  " << std::left << std::setw (28) << input
-		<< " out: " << std::left << std::setw (28) << output
-		<< std::right
-		<< std::endl;
+                << (pass ? "pass " : "FAIL ")
+                << " in:  " << std::left << std::setw (28) << input
+                << " out: " << std::left << std::setw (28) << output
+                << std::right
+                << std::endl;
     }
   else
     {
       std::cout << GetParent ()->GetName () << " InputOutput: "
-		<< (pass ? "pass " : "FAIL ")
-		<< " in:  " << std::left << std::setw (28) << input
-		<< std::right << Printer (expect)
-		<< std::endl;
+                << (pass ? "pass " : "FAIL ")
+                << " in:  " << std::left << std::setw (28) << input
+                << std::right << Printer (expect)
+                << std::endl;
       std::cout << GetParent ()->GetName ()
-		<< std::setw (19) << " "
-		<< " out: " << std::left << std::setw (28) << output
-		<< std::right << Printer (value)
-		<< std::endl;
-    }      
+                << std::setw (19) << " "
+                << " out: " << std::left << std::setw (28) << output
+                << std::right << Printer (value)
+                << std::endl;
+    }
 
   NS_TEST_EXPECT_MSG_EQ_TOL (value, expect, int64x64_t (0, tolerance),
-			     "Converted string does not match expected string");
+                             "Converted string does not match expected string");
 }
 
 void
@@ -325,7 +322,7 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " InputOutput: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   int64_t tolerance = 0;
   if (int64x64_t::implementation == int64x64_t::ld_impl)
@@ -333,7 +330,7 @@
       // Darwin 12.5.0 (Mac 10.8.5) g++ 4.2.1
       tolerance = 1;
     }
-  
+
   Check ("+1.000000000000000000000");
   Check ("+20.000000000000000000000");
   Check ("+0.000000000000000000000", tolerance);
@@ -351,40 +348,39 @@
   Int64x64ArithmeticTestCase ();
   virtual void DoRun (void);
   void Check (const int        test,
-	      const int64x64_t value, const int64x64_t expect);
+              const int64x64_t value, const int64x64_t expect);
   void Check (const int        test,
-	      const int64x64_t value, const int64x64_t expect,
-	      const int64x64_t tolerance);
+              const int64x64_t value, const int64x64_t expect,
+              const int64x64_t tolerance);
 };
 
 Int64x64ArithmeticTestCase::Int64x64ArithmeticTestCase ()
   : TestCase ("Basic arithmetic operations")
-{
-}
+{}
 void
 Int64x64ArithmeticTestCase::Check (const int test,
-				   const int64x64_t value,
-				   const int64x64_t expect)
+                                   const int64x64_t value,
+                                   const int64x64_t expect)
 {
   int64x64_t zero (0,0);
   Check (test, value, expect, zero);
 }
 void
 Int64x64ArithmeticTestCase::Check (const int test,
-				   const int64x64_t value,
-				   const int64x64_t expect,
-				   const int64x64_t tolerance)
+                                   const int64x64_t value,
+                                   const int64x64_t expect,
+                                   const int64x64_t tolerance)
 {
   bool pass = Abs (value - expect) <= tolerance;
-  
+
   std::cout << GetParent ()->GetName () << " Arithmetic: "
-	    << (pass ? "pass " : "FAIL ")
-	    << test << ": " << value << " == " << expect
-	    << " (+/- " << tolerance << ")"
-	    << std::endl;
-  
+            << (pass ? "pass " : "FAIL ")
+            << test << ": " << value << " == " << expect
+            << " (+/- " << tolerance << ")"
+            << std::endl;
+
   NS_TEST_ASSERT_MSG_EQ_TOL ( value, expect, tolerance,
-			      "Arithmetic failure in test case " << test);
+                              "Arithmetic failure in test case " << test);
 }
 
 void
@@ -398,92 +394,92 @@
 
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Arithmetic: " << GetName ()
-	    << std::endl;
-  
-  Check ( 0,   zero  -   zero ,   zero  );
-  Check ( 1,   zero  -   one ,   -one   );
-  Check ( 2,   one   -   one ,    zero  );
-  Check ( 3,   one   -   two ,   -one   );
+            << std::endl;
+
+  Check ( 0,   zero  -   zero,   zero  );
+  Check ( 1,   zero  -   one,   -one   );
+  Check ( 2,   one   -   one,    zero  );
+  Check ( 3,   one   -   two,   -one   );
   Check ( 4,   one   - (-one ),   two   );
   Check ( 5, (-one ) - (-two ),   one   );
-  Check ( 6, (-one ) -   two ,   -thre  );
-  
-  Check ( 7,   zero  +   zero ,   zero  );
-  Check ( 8,   zero  +   one ,    one   );
-  Check ( 9,   one   +   one ,    two   );
-  Check (10,   one   +   two ,    thre  );
+  Check ( 6, (-one ) -   two,   -thre  );
+
+  Check ( 7,   zero  +   zero,   zero  );
+  Check ( 8,   zero  +   one,    one   );
+  Check ( 9,   one   +   one,    two   );
+  Check (10,   one   +   two,    thre  );
   Check (11,   one   + (-one ),   zero  );
   Check (12, (-one ) + (-two ),  -thre  );
-  Check (13, (-one ) +   two ,    one   );
-  
-  Check (14,   zero  *   zero ,   zero  );
-  Check (15,   zero  *   one ,    zero  );
+  Check (13, (-one ) +   two,    one   );
+
+  Check (14,   zero  *   zero,   zero  );
+  Check (15,   zero  *   one,    zero  );
   Check (16,   zero  * (-one ),   zero  );
-  Check (17,   one   *   one ,    one   );
+  Check (17,   one   *   one,    one   );
   Check (18,   one   * (-one ),  -one   );
   Check (19, (-one ) * (-one ),   one   );
-  
-  Check (20,  (two  * thre ) / thre , two  );
+
+  Check (20,  (two  * thre ) / thre, two  );
 
   const int64x64_t frac  = int64x64_t (0, 0xc000000000000000ULL);  // 0.75
   const int64x64_t fplf2 = frac + frac * frac;  // 1.3125
-  
+
   Check (21,   frac,              0.75);
   Check (22,   fplf2,             1.3125);
-  
+
   const int64x64_t zerof = zero + frac;
   const int64x64_t onef  = one  + frac;
   const int64x64_t twof  = two  + frac;
   const int64x64_t thref = thre + frac;
 
   Check (23,   zerof,             frac);
-  
-  
+
+
   Check (24,   zerof -   zerof,   zero );
   Check (25,   zerof -   onef,   -one  );
   Check (26,   onef  -   onef,    zero );
   Check (27,   onef  -   twof,   -one  );
   Check (28,   onef  - (-onef),   twof  + frac  );
-  Check (29 , (-onef) - (-twof),   one  );
-  Check (30 , (-onef) -   twof,   -thref - frac  );
-  
+  Check (29, (-onef) - (-twof),   one  );
+  Check (30, (-onef) -   twof,   -thref - frac  );
+
   Check (31,   zerof +   zerof,   zerof + frac  );
   Check (32,   zerof +   onef,    onef  + frac  );
   Check (33,   onef  +   onef,    twof  + frac  );
   Check (34,   onef  +   twof,    thref + frac  );
   Check (35,   onef  + (-onef),   zero  );
-  Check (36 , (-onef) + (-twof),  -thref - frac  );
+  Check (36, (-onef) + (-twof),  -thref - frac  );
   Check (37, (-onef) +   twof,    one   );
-  
+
   Check (38,   zerof *   zerof,   frac  * frac  );
-  Check (39 ,   zero  *   onef,    zero  );
-  Check (40 ,   zerof *   one,     frac  );
-  
+  Check (39,   zero  *   onef,    zero  );
+  Check (40,   zerof *   one,     frac  );
+
   Check (41,   zerof *   onef,    fplf2 );
   Check (42,   zerof * (-onef),  -fplf2 );
   Check (43,   onef  *   onef,    onef  + fplf2 );
   Check (44,   onef  * (-onef),  -onef  - fplf2 );
   Check (45, (-onef) * (-onef),   onef  + fplf2 );
-  
-  
+
+
   // Multiplication followed by division is exact:
-  Check (46, (two  * thre ) / thre , two  );
+  Check (46, (two  * thre ) / thre, two  );
   Check (47, (twof * thref) / thref, twof );
 
   // Division followed by multiplication loses a bit or two:
-  Check (48, (two  / thre)  * thre,  two , 2 * tol1 );
+  Check (48, (two  / thre)  * thre,  two, 2 * tol1 );
   Check (49, (twof / thref) * thref, twof, 3 * tol1 );
 
   // The example below shows that we really do not lose
   // much precision internally: it is almost always the
   // final conversion which loses precision.
   Check (50, (int64x64_t (2000000000) / int64x64_t (3)) * int64x64_t (3),
-	      int64x64_t (1999999999, 0xfffffffffffffffeULL));
+         int64x64_t (1999999999, 0xfffffffffffffffeULL));
 
   // Check special values
   Check (51,  int64x64_t (0, 0x159fa87f8aeaad21ULL) * 10,
-	           int64x64_t (0, 0xd83c94fb6d2ac34aULL));
-  
+         int64x64_t (0, 0xd83c94fb6d2ac34aULL));
+
 }
 
 
@@ -497,26 +493,25 @@
   Int64x64Bug455TestCase ();
   virtual void DoRun (void);
   void Check (const double result, const double expect,
-	      const std::string & msg);
+              const std::string & msg);
 };
 
 Int64x64Bug455TestCase::Int64x64Bug455TestCase ()
   : TestCase ("Test case for bug 455")
-{
-}
+{}
 void
 Int64x64Bug455TestCase::Check (const double result, const double expect,
-			       const std::string & msg)
+                               const std::string & msg)
 {
   bool pass = result == expect;
-  
+
   std::cout << GetParent ()->GetName () << " Bug 455: "
-	    << (pass ? "pass " : "FAIL ")
-	    << "res: "  << result
-	    << " exp: " << expect
-	    << ": " << msg
-	    << std::endl;
-  
+            << (pass ? "pass " : "FAIL ")
+            << "res: "  << result
+            << " exp: " << expect
+            << ": " << msg
+            << std::endl;
+
   NS_TEST_ASSERT_MSG_EQ (result, expect, msg);
 }
 
@@ -525,24 +520,24 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Bug 455: " << GetName ()
-	    << std::endl;
-  
+            << std::endl;
+
   int64x64_t a = int64x64_t (0.1);
   a /= int64x64_t (1.25);
   Check (a.GetDouble (), 0.08, "The original testcase");
-  
+
   a = int64x64_t (0.5);
   a *= int64x64_t (5);
   Check (a.GetDouble (), 2.5, "Simple test for multiplication");
-  
+
   a = int64x64_t (-0.5);
   a *= int64x64_t (5);
   Check (a.GetDouble (), -2.5, "Test sign, first operation negative");
-  
+
   a = int64x64_t (-0.5);
-  a *=int64x64_t (-5);
+  a *= int64x64_t (-5);
   Check (a.GetDouble (), 2.5, "both operands negative");
-  
+
   a = int64x64_t (0.5);
   a *= int64x64_t (-5);
   Check (a.GetDouble (), -2.5, "only second operand negative");
@@ -559,26 +554,25 @@
   Int64x64Bug863TestCase ();
   virtual void DoRun (void);
   void Check (const double result, const double expect,
-	      const std::string & msg);
+              const std::string & msg);
 };
 
 Int64x64Bug863TestCase::Int64x64Bug863TestCase ()
   : TestCase ("Test case for bug 863")
-{
-}
+{}
 void
 Int64x64Bug863TestCase::Check (const double result, const double expect,
-			       const std::string & msg)
+                               const std::string & msg)
 {
   bool pass = result == expect;
-  
+
   std::cout << GetParent ()->GetName () << " Bug 863: "
-	    << (pass ? "pass " : "FAIL ")
-	    << "res: "  << result
-	    << " exp: " << expect
-	    << ": " << msg
-	    << std::endl;
-  
+            << (pass ? "pass " : "FAIL ")
+            << "res: "  << result
+            << " exp: " << expect
+            << ": " << msg
+            << std::endl;
+
   NS_TEST_ASSERT_MSG_EQ (result, expect, msg);
 }
 
@@ -587,26 +581,26 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Bug 863: " << GetName ()
-	    << std::endl;
-  
+            << std::endl;
+
   int64x64_t a = int64x64_t (0.9);
   a /= int64x64_t (1);
   Check (a.GetDouble (), 0.9, "The original testcase");
-  
+
   a = int64x64_t (0.5);
   a /= int64x64_t (0.5);
   Check (a.GetDouble (), 1.0, "Simple test for division");
-  
+
   a = int64x64_t (-0.5);
   Check (a.GetDouble (), -0.5, "Check that we actually convert doubles correctly");
-  
+
   a /= int64x64_t (0.5);
   Check (a.GetDouble (), -1.0, "first argument negative");
-  
+
   a = int64x64_t (0.5);
   a /= int64x64_t (-0.5);
   Check (a.GetDouble (), -1.0, "second argument negative");
-  
+
   a = int64x64_t (-0.5);
   a /= int64x64_t (-0.5);
   Check (a.GetDouble (), 1.0, "both arguments negative");
@@ -622,17 +616,16 @@
   Int64x64Bug1786TestCase ();
   virtual void DoRun (void);
   void Check (const uint64_t low, const std::string & value,
-	      const int64_t tolerance = 0);
+              const int64_t tolerance = 0);
 };
 
 Int64x64Bug1786TestCase::Int64x64Bug1786TestCase ()
   : TestCase ("Test case for bug 1786")
-{
-}
+{}
 void
 Int64x64Bug1786TestCase::Check (const uint64_t low,
-				const std::string & str,
-				const int64_t tolerance /* = 0 */)
+                                const std::string & str,
+                                const int64_t tolerance /* = 0 */)
 {
   int64x64_t value (0, low);
   std::ostringstream oss;
@@ -641,30 +634,30 @@
   if (tolerance == 0)
     {
       bool pass = oss.str () == str;
-  
+
       std::cout << GetParent ()->GetName () << " Bug 1786: "
-		<< (pass ? "pass " : "FAIL ")
-		<< "    0x" << std::hex << std::setw (16) << low << std::dec
-		<< " = "    << oss.str ();
+                << (pass ? "pass " : "FAIL ")
+                << "    0x" << std::hex << std::setw (16) << low << std::dec
+                << " = "    << oss.str ();
       if (!pass)
-	{
-	  std::cout << ", expected " << str;
-	}
+        {
+          std::cout << ", expected " << str;
+        }
       std::cout << std::endl;
 
       NS_TEST_EXPECT_MSG_EQ (oss.str (), str,
-			     "Fraction string not correct");
+                             "Fraction string not correct");
     }
   else
     {
       // No obvious way to implement a tolerance on the strings
-      
+
       std::cout << GetParent ()->GetName () << " Bug 1786: "
-		<< "skip "
-		<< "    0x" << std::hex << std::setw (16) << low << std::dec
-		<< " = "    << oss.str ()
-		<< ", expected " << str
-		<< std::endl;
+                << "skip "
+                << "    0x" << std::hex << std::setw (16) << low << std::dec
+                << " = "    << oss.str ()
+                << ", expected " << str
+                << std::endl;
 
     }
 }
@@ -673,7 +666,7 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " But 1786: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   int64_t tolerance = 0;
   if (int64x64_t::implementation == int64x64_t::ld_impl)
@@ -756,23 +749,22 @@
   virtual void DoRun (void);
 
   void Check (const bool result, const bool expect,
-	      const std::string & msg);
+              const std::string & msg);
 };
 Int64x64CompareTestCase::Int64x64CompareTestCase ()
   : TestCase ("Basic compare operations")
-{
-}
+{}
 void
 Int64x64CompareTestCase::Check (const bool result, const bool expect,
-				const std::string & msg)
+                                const std::string & msg)
 {
   bool pass = result == expect;
-  
+
   std::cout << GetParent ()->GetName () << " Compare: "
-	    << (pass ? "pass " : "FAIL ")
-	    << msg
-	    << std::endl;
-  
+            << (pass ? "pass " : "FAIL ")
+            << msg
+            << std::endl;
+
   NS_TEST_ASSERT_MSG_EQ (result, expect, msg);
 }
 
@@ -781,7 +773,7 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Compare: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   const int64x64_t zero ( 0, 0);
   const int64x64_t one  ( 1, 0);
@@ -793,7 +785,7 @@
   const int64x64_t onef  = one  + frac;
   const int64x64_t monef = mone - frac;
   const int64x64_t mtwof = mtwo - frac;
-  
+
   Check ( zerof    == zerof, true,  "equality, zero");
   Check ( onef     == onef,  true,  "equality, positive");
   Check ( mtwof    == mtwof, true,  "equality, negative");
@@ -862,24 +854,23 @@
   virtual void DoRun (void);
   void Check (const int64_t factor);
   void CheckCase (const uint64_t factor,
-		  const int64x64_t result, const int64x64_t expect,
-		  const std::string & msg,
-		  const double tolerance = 0);
+                  const int64x64_t result, const int64x64_t expect,
+                  const std::string & msg,
+                  const double tolerance = 0);
 };
 
 Int64x64InvertTestCase::Int64x64InvertTestCase ()
   : TestCase ("Invert and MulByInvert")
-{
-}
+{}
 void
 Int64x64InvertTestCase::CheckCase (const uint64_t factor,
-				   const int64x64_t result,
-				   const int64x64_t expect,
-				   const std::string & msg,
-				   const double tolerance /* = 0 */)
+                                   const int64x64_t result,
+                                   const int64x64_t expect,
+                                   const std::string & msg,
+                                   const double tolerance /* = 0 */)
 {
   bool pass = Abs (result - expect) <= tolerance;
-  
+
   std::cout << GetParent ()->GetName () << " Invert: ";
 
   if (pass)
@@ -890,14 +881,14 @@
   else
     {
       std::cout << "FAIL:  " << factor << ": "
-		<< "(res: " << result
-		<< " exp: " << expect
-		<< " tol: " << tolerance << ")  ";
+                << "(res: " << result
+                << " exp: " << expect
+                << " tol: " << tolerance << ")  ";
     }
-  std::cout << msg 
-	    << std::endl;
-  
-  NS_TEST_ASSERT_MSG_EQ_TOL (result, expect, int64x64_t(tolerance), msg);
+  std::cout << msg
+            << std::endl;
+
+  NS_TEST_ASSERT_MSG_EQ_TOL (result, expect, int64x64_t (tolerance), msg);
 }
 
 void
@@ -905,7 +896,7 @@
 {
   const int64x64_t one (1, 0);
   const int64x64_t factorI = one / int64x64_t (factor);
-  
+
   const int64x64_t a = int64x64_t::Invert (factor);
   int64x64_t b = int64x64_t (factor);
 
@@ -915,18 +906,18 @@
       // Darwin 12.5.0 (Mac 10.8.5) g++ 4.2.1
       tolerance = 0.000000000000000001L;
     }
-  
+
   b.MulByInvert (a);
   CheckCase (factor, b, one, "x * x^-1 == 1", tolerance);
-  
+
   int64x64_t c = int64x64_t (1);
   c.MulByInvert (a);
   CheckCase (factor, c, factorI, "1 * x^-1 == 1 / x");
-  
+
   int64x64_t d = int64x64_t (1);
   d /= (int64x64_t (factor));
   CheckCase (factor, d, c, "1/x == x^-1");
-  
+
   int64x64_t e = int64x64_t (-factor);
   e.MulByInvert (a);
   CheckCase (factor, e, -one, "-x * x^-1 == -1", tolerance);
@@ -937,8 +928,8 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Invert: " << GetName ()
-	    << std::endl;
-  
+            << std::endl;
+
   Check (2);
   Check (3);
   Check (4);
@@ -971,8 +962,9 @@
   virtual void DoRun (void);
   void Check (const int64_t intPart);
   void Check (const long double value,
-	      const int64_t intPart,
-	      const uint64_t lo);
+              const int64_t intPart,
+              const uint64_t lo);
+
 private:
   long double m_last;
   int64x64_t  m_deltaMax;
@@ -981,13 +973,12 @@
 
 Int64x64DoubleTestCase::Int64x64DoubleTestCase ()
   : TestCase ("Construct from floating point.")
-{
-}
+{}
 
 void
 Int64x64DoubleTestCase::Check (const long double value,
-			       const int64_t intPart,
-			       const uint64_t lo)
+                               const int64_t intPart,
+                               const uint64_t lo)
 {
   // Construct the expected value
   int64x64_t expect = int64x64_t (0, lo);
@@ -1014,58 +1005,58 @@
     }
 
   const int64x64_t tolerance = (margin + std::fabs (value)) * epsilon;
-  
+
   const int64x64_t delta = Abs (result - expect);
   const bool skip = value == m_last;
   const bool pass = delta <= tolerance;
-  
+
   // Save stream format flags
   std::ios_base::fmtflags ff = std::cout.flags ();
   std::cout << std::fixed << std::setprecision (22);
-  
+
   std::cout << GetParent ()->GetName () << " Double: "
-	    << (skip ? "skip " : (pass ? "pass " : "FAIL "))
-	    << std::showpos << value << " == " 
-	    << Printer (result)
-	    << std::endl;
-  
+            << (skip ? "skip " : (pass ? "pass " : "FAIL "))
+            << std::showpos << value << " == "
+            << Printer (result)
+            << std::endl;
+
   // Log non-zero delta
-  if ( delta > int64x64_t() )
+  if ( delta > int64x64_t () )
     {
       std::cout << GetParent ()->GetName ()
-		<< std::left  << std::setw (43) << "         expected"
-		<< std::right << Printer (expect)
-		<< std::endl;
+                << std::left  << std::setw (43) << "         expected"
+                << std::right << Printer (expect)
+                << std::endl;
 
       if (delta == tolerance)
-	{
-	  std::cout << GetParent ()->GetName ()
-		    << std::left  << std::setw (43) << "         delta = tolerance"
-		    << std::right << Printer (delta)
-		    << std::endl;
-	}
+        {
+          std::cout << GetParent ()->GetName ()
+                    << std::left  << std::setw (43) << "         delta = tolerance"
+                    << std::right << Printer (delta)
+                    << std::endl;
+        }
       else
-	{
-	  std::cout << GetParent ()->GetName ()
-		    << std::left  << std::setw (43) << "         delta"
-		    << std::right << Printer (delta)
-		    << std::endl;
-	  std::cout << GetParent ()->GetName ()
-		    << std::left  << std::setw (43) << "         +/-"
-		    << std::right << Printer (tolerance)
-		    << std::endl;
-	}
-      
+        {
+          std::cout << GetParent ()->GetName ()
+                    << std::left  << std::setw (43) << "         delta"
+                    << std::right << Printer (delta)
+                    << std::endl;
+          std::cout << GetParent ()->GetName ()
+                    << std::left  << std::setw (43) << "         +/-"
+                    << std::right << Printer (tolerance)
+                    << std::endl;
+        }
+
       ++m_deltaCount;
-      
+
       if ( delta > m_deltaMax )
-	{
-	  m_deltaMax = delta;
-	}
+        {
+          m_deltaMax = delta;
+        }
     }
-  
+
   NS_TEST_ASSERT_MSG_EQ_TOL (result, expect, tolerance,
-			     "int64x64_t (long double) failed");
+                             "int64x64_t (long double) failed");
   m_last = value;
   std::cout.flags (ff);
 
